# Storage tracking timestamp block info

Retrieve detailed tracking information about the block that stores, modifies, or deletes a file in the storage.

## Get the hash value of the block that has interacted with the storage system.

<mark style="color:blue;">`GET`</mark> `https://test-001-node.cloud.nxtfi.org/v2 /<scope>/_trace/<dirname>/<filename>/<timestamp>`

#### Query Parameters

| Name                                        | Type   | Description                                                  |
| ------------------------------------------- | ------ | ------------------------------------------------------------ |
| scope<mark style="color:red;">\*</mark>     | String | scope were to query track                                    |
| dirname                                     | String | optional in case the file was stored nested into a directory |
| filename<mark style="color:red;">\*</mark>  | String | filename from which to receive track information             |
| timestamp<mark style="color:red;">\*</mark> | String | timestamp from the traced interaction                        |

### Another available endpoint&#x20;

<mark style="color:blue;">`GET`</mark> `https://test-001-node.cloud.nxtfi.org/v2/_trace/<scope>/<dirname>/<filename>/<timestamp>`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nxtfi.org/api-reference/storage-tracking-timestamp-block-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
